=== debian/control ===
Source: ktikz
Section: graphics
Priority: optional
Maintainer: Joao Carreira <jfmcarreira@gmail.com>
Uploaders: Stuart Prescott <stuart+debian@nanonanonano.net>
Build-Depends: debhelper (>= 7.3.16~),
                pkg-config,
                cmake,
                qtbase5-dev,
                qtchooser,
                qt5-qmake,
                qtbase5-dev-tools,
                qttools5-dev,
                qttools5-dev-tools,
                extra-cmake-modules,
                libpoppler-qt5-dev,
                pkg-kde-tools (>= 0.5~),
                libkf5xmlgui-dev,
                libkf5texteditor-dev,
                libkf5doctools-dev,
                libkf5parts-dev,
                libkf5iconthemes-dev,
                xsltproc,
                imagemagick,
                libmagickcore-extra
Homepage: http://www.hackenberger.at/ktikz-editor-for-the-tikz-language
Vcs-Svn: svn://hackenberger.at/svnroot/ktikz/trunk
Standards-Version: 3.9.1

Package: ktikz
Architecture: any
Depends: pgf,
          preview-latex-style,
          ${shlibs:Depends},
          ${misc:Depends}
Recommends: poppler-utils
Description: editor for the TikZ drawing language - KDE version
 KtikZ is a small application to assist in the creation of diagrams and
 drawings using the TikZ macros from the LaTeX package "pgf". It consists of
 a text editor pane in which the TikZ code for the drawing is edited and a
 preview pane showing the drawing as rendered by LaTeX. The preview pane can be
 updated in real-time. Common drawing tools, options and styles are available
 from the menus to assist the coding process.
 .
 This package contains the KDE version of the program.
 .
 TikZ is a user-friedly syntax layer for the PGF (portable graphics format)
 TeX macro package. Pictures can be created within a LaTeX document and
 included in the output using the most important TeX backend drivers including
 pdftex and dvips.

Package: qtikz
Architecture: any
Depends: pgf,
          preview-latex-style,
          ${shlibs:Depends},
          ${misc:Depends}
Recommends: poppler-utils,
            qtbase5-dev
Description: editor for the TikZ drawing language - Qt version
 QtikZ is a small application to assist in the creation of diagrams and
 drawings using the TikZ macros from the LaTeX package "pgf". It consists of
 a text editor pane in which the TikZ code for the drawing is edited and a
 preview pane showing the drawing as rendered by LaTeX. The preview pane can be
 updated in real-time. Common drawing tools, options and styles are available
 from the menus to assist the coding process.
 .
 This package contains the Qt version of the program.
 .
 TikZ is a user-friedly syntax layer for the PGF (portable graphics format)
 TeX macro package. Pictures can be created within a LaTeX document and
 included in the output using the most important TeX backend drivers including
 pdftex and dvips.
