=== debian/watch ===
version=3

http://www.hackenberger.at/ktikz/ktikz-(.*).tar.gz
